curl --request GET \
--url 'https://api.workstream.stateset.com/v1/workflows/active-horizon-agent/{workflow_id}/status' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"release_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"recipe_key": "string",
"recipe_version": 1,
"goal": "string",
"status": "pending",
"current_task_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"generation": 8,
"turns_completed": 1,
"failures": 1,
"elapsed_active_secs": 1,
"active_window_secs": 1,
"max_turns": 1,
"tasks_remaining": 1,
"paused": true,
"cancelled": false,
"steering_notes": [
"string"
]
}
Query active horizon agent status
Success
GET
/
v1
/
workflows
/
active-horizon-agent
/
{workflow_id}
/
status
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/workflows/active-horizon-agent/{workflow_id}/status' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"release_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"recipe_key": "string",
"recipe_version": 1,
"goal": "string",
"status": "pending",
"current_task_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"generation": 8,
"turns_completed": 1,
"failures": 1,
"elapsed_active_secs": 1,
"active_window_secs": 1,
"max_turns": 1,
"tasks_remaining": 1,
"paused": true,
"cancelled": false,
"steering_notes": [
"string"
]
}
Path parameters
string (string)
required
Response
ActiveHorizonAgentStatus
string (uuid)
string
integer
string
required
string
required
string
integer
required
integer
required
integer
required
integer
required
integer
required
integer
required
integer
required
boolean
required
boolean
required
string[]
required
Status codes
| Code | Meaning |
|---|---|
200 | Success |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/workflows/active-horizon-agent/{workflow_id}/status' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"release_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"recipe_key": "string",
"recipe_version": 1,
"goal": "string",
"status": "pending",
"current_task_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"generation": 8,
"turns_completed": 1,
"failures": 1,
"elapsed_active_secs": 1,
"active_window_secs": 1,
"max_turns": 1,
"tasks_remaining": 1,
"paused": true,
"cancelled": false,
"steering_notes": [
"string"
]
}
Last modified on August 31, 2026